Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Enum Class CompletionReason

java.lang.Object
java.lang.Enum<CompletionReason>
org.firebirdsql.jdbc.CompletionReason

All Implemented Interfaces:
  `Serializable`, `Comparable<CompletionReason>`, `Constable`

@InternalApi public enum CompletionReason extends Enum<CompletionReason>
Reasons for statement (or other resources) completion. This is intended for the `InternalTransactionCoordinator` to notify the statement and related objects on why it should complete, and for statement to notify its dependent objects.

This class is internal API of Jaybird. Future versions may radically change, move, or make inaccessible this type.

Since:
  2.2.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMIT`
`CONNECTION_ABORT`
Completion was signalled from a connection abort.
`OTHER`
`ROLLBACK`
`STATEMENT_CLOSE`
Completion was signalled from a statement close.

## Method Summary

Modifier and Type
Method
Description
`static CompletionReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompletionReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMIT

public static final CompletionReason COMMIT

### ROLLBACK

public static final CompletionReason ROLLBACK

### STATEMENT_CLOSE

public static final CompletionReason STATEMENT_CLOSE
Completion was signalled from a statement close.

Since:
  5

### CONNECTION_ABORT

public static final CompletionReason CONNECTION_ABORT
Completion was signalled from a connection abort.

Since:
  6

### OTHER

public static final CompletionReason OTHER

## Method Details

### values

public static CompletionReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompletionReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null